##### Damage_hud.py
#
# Copy damage from Level_1 and 2 to Hud
#
####################################################

# python 3
import GameLogic

# Get active scene list
activeScenes = GameLogic.getSceneList()

# Get scene Level_x and Hud
scene = activeScenes[0]
hud = activeScenes[1]

# Get list of objects in scene and hud
scene_ObjList = scene.objects
hud_ObjList = hud.objects

# set string
strScene = str(scene)

if strScene == "Level_1" :
	# get object named Monolythe, Monolythe.001, Damage_display
	monolythe = scene_ObjList['Monolythe']
	damage_display = hud_ObjList['Damage_display']

if strScene == "Level_2" :
	# get object named Monolythe, Monolythe.001, Damage_display
	monolythe = scene_ObjList['Monolythe.001']
	damage_display = hud_ObjList['Damage_display']

damage_display['Text'] = monolythe['damage']
