##### Output.py
#
#  Display Output
#
####################################################

# python 3
import GameLogic

# Get current scene
scene = GameLogic.getCurrentScene()
# get list of objects in scene
objList = scene.objects

# Get object named pi
p1 = objList['p1']
p2 = objList['p2']
p3 = objList['p3']
p4 = objList['p4']
p5 = objList['p5']

# Get object named ti
t1 = objList['t1']
t2 = objList['t2']
t3 = objList['t3']
t4 = objList['t4']
t5 = objList['t5']

## Load players from Dict
players = GameLogic.globalDict.get("players")

## Sort players list
players.sort()

# Set name and time

play1 = players[0][1]
time1 = players[0][0]

play2 = players[1][1]
time2 = players[1][0]

play3 = players[2][1]
time3 = players[2][0]

play4 = players[3][1]
time4 = players[3][0]

play5 = players[4][1]
time5 = players[4][0]

# Set prop Text in objects
p1['Text'] = play1
p2['Text'] = play2
p3['Text'] = play3
p4['Text'] = play4
p5['Text'] = play5


t1['Text'] = str(time1)
t2['Text'] = str(time2)
t3['Text'] = str(time3)
t4['Text'] = str(time4)
t5['Text'] = str(time5)

