##### linearVelocity.py
#
#  Get owner linear velocity and set prop vitesse
#
#  copy property vitesse to object with property Text
#
####################################################

# python 3
import GameLogic

# Get owner
controller = GameLogic.getCurrentController()
owner = controller.owner

# get local (game object) linear velocity
linearVelocity = owner.getLinearVelocity(True)

# Realistic speed
vitesse = 5 * ( linearVelocity[0]**2 + linearVelocity[1]**2 + linearVelocity[2]**2 ) **0.5

# set prop vitesse
owner['vitesse'] = vitesse
